> For the complete documentation index, see [llms.txt](https://docs.appetize.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.appetize.io/rest-api/v1/list-apps.md).

# List apps

## Apps

{% hint style="info" %}
The returned app(s) will display only explicitly set parameters, with all other values defaulting to the organization or Appetize defaults.
{% endhint %}

## Get All Apps - Paginated

> Retrieves information about all apps int he account, with associated metadata.\
> \
> \_Recommended approach for retrieving all apps.\_<br>

```json
{"openapi":"3.0.3","info":{"title":"Appetize API","version":"1.0.0"},"servers":[{"url":"https://api.appetize.io/v1"}],"security":[{"apiToken":[]}],"components":{"securitySchemes":{"apiToken":{"type":"apiKey","in":"header","name":"X-API-KEY","description":"Use an API token for authentication via X-API-KEY header"}}},"paths":{"/apps":{"get":{"summary":"Get All Apps - Paginated","tags":["Listing Apps"],"description":"Retrieves information about all apps int he account, with associated metadata.\n\n_Recommended approach for retrieving all apps._\n","parameters":[{"in":"query","name":"nextKey","schema":{"type":"string"},"description":"If results are truncated due to too many apps, response will include `hasMore:true` and a `nextKey` to retrieve the next page. \nPass the nextKey value as query parameter into the GET request to retrieve the next batch of apps.\n"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"hasMore":{"type":"boolean","description":"Indicates if results have been truncated"},"nextKey":{"type":"string","description":"Query parameter for the next batch of results"},"data":{"type":"array","items":{"type":"object","properties":{"publicKey":{"type":"string","description":"The publicKey for the app."},"created":{"type":"string","format":"date-time","description":"The date and time when the app was created."},"updated":{"type":"string","format":"date-time","description":"The date and time when the app was last updated."},"platform":{"type":"string","description":"The platform of the app (ios or android)."},"bundle":{"type":"string","description":"The app identifier of the app."},"name":{"type":"string","description":"The name of the app."},"appDisplayName":{"type":"string","description":"The display name of the app."},"appVersionCode":{"type":"string","description":"The version code of the app."},"appVersionName":{"type":"string","description":"The version name of the app."},"versionCode":{"type":"integer","description":"The incremental version code, managed by Appetize, for the app."},"iconUrl":{"type":"string","format":"uri","description":"The URL to the app's icon image."}}}}}}}}}}}}}}
```

## Get All Apps - Not Paginated

> Retrieves information about all apps in the account, with associated metadata.\
> \
> \*\*NOTE:\*\* \_No pagination is performed so this query might be slow. It is recommended to use the paginated version of this query if possible.\_<br>

```json
{"openapi":"3.0.3","info":{"title":"Appetize API","version":"1.0.0"},"servers":[{"url":"https://api.appetize.io/v1"}],"security":[{"apiToken":[]}],"components":{"securitySchemes":{"apiToken":{"type":"apiKey","in":"header","name":"X-API-KEY","description":"Use an API token for authentication via X-API-KEY header"}}},"paths":{"/apps/all":{"get":{"summary":"Get All Apps - Not Paginated","tags":["Listing Apps"],"description":"Retrieves information about all apps in the account, with associated metadata.\n\n**NOTE:** _No pagination is performed so this query might be slow. It is recommended to use the paginated version of this query if possible._\n","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"publicKey":{"type":"string","description":"The publicKey for the app."},"created":{"type":"string","format":"date-time","description":"The date and time when the app was created."},"updated":{"type":"string","format":"date-time","description":"The date and time when the app was last updated."},"platform":{"type":"string","description":"The platform of the app (ios or android)."},"bundle":{"type":"string","description":"The app identifier of the app."},"name":{"type":"string","description":"The name of the app."},"appDisplayName":{"type":"string","description":"The display name of the app."},"appVersionCode":{"type":"string","description":"The version code of the app."},"appVersionName":{"type":"string","description":"The version name of the app."},"versionCode":{"type":"integer","description":"The incremental version code, managed by Appetize, for the app."},"iconUrl":{"type":"string","format":"uri","description":"The URL to the app's icon image."}}}}}}}}}}}}}}
```

## Get a Single App

> Retrieves information about a single app.

```json
{"openapi":"3.0.3","info":{"title":"Appetize API","version":"1.0.0"},"servers":[{"url":"https://api.appetize.io/v1"}],"security":[{"apiToken":[]}],"components":{"securitySchemes":{"apiToken":{"type":"apiKey","in":"header","name":"X-API-KEY","description":"Use an API token for authentication via X-API-KEY header"}}},"paths":{"/apps/{app_publicKey}":{"get":{"summary":"Get a Single App","tags":["Listing Apps"],"description":"Retrieves information about a single app.","parameters":[{"in":"path","name":"publicKey","required":true,"schema":{"type":"string"},"description":"The publicKey for the app."}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"publicKey":{"type":"string","description":"The publicKey for the app."},"created":{"type":"string","format":"date-time","description":"The date and time when the app was created."},"updated":{"type":"string","format":"date-time","description":"The date and time when the app was last updated."},"platform":{"type":"string","description":"The platform of the app (ios or android)."},"bundle":{"type":"string","description":"The app identifier of the app."},"name":{"type":"string","description":"The name of the app."},"appDisplayName":{"type":"string","description":"The display name of the app."},"appVersionCode":{"type":"string","description":"The version code of the app."},"appVersionName":{"type":"string","description":"The version name of the app."},"versionCode":{"type":"integer","description":"The incremental version code, managed by Appetize, for the app."},"iconUrl":{"type":"string","format":"uri","description":"The URL to the app's icon image."}}}}}}}}}}}
```

## App Groups

## Get an App Group

> Retrieves information about an app group and all the apps associated with it.

```json
{"openapi":"3.0.3","info":{"title":"Appetize API","version":"1.0.0"},"servers":[{"url":"https://api.appetize.io/v1"}],"security":[{"apiToken":[]}],"components":{"securitySchemes":{"apiToken":{"type":"apiKey","in":"header","name":"X-API-KEY","description":"Use an API token for authentication via X-API-KEY header"}}},"paths":{"/apps/{appgroup_publicKey}":{"get":{"summary":"Get an App Group","tags":["Listing Apps"],"description":"Retrieves information about an app group and all the apps associated with it.","parameters":[{"in":"path","name":"publicKey","required":true,"schema":{"type":"string"},"description":"The publicKey for the app group (starts with `ag_`)."}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"publicKey":{"type":"string","description":"The publicKey for the app group."},"created":{"type":"string","format":"date-time","description":"The date and time when the app group was created."},"updated":{"type":"string","format":"date-time","description":"The date and time when the app group was last updated."},"createdBy":{"type":"string","description":"The user who created the app group."},"name":{"type":"string","description":"The name of the app group."},"apps":{"type":"array","items":{"type":"string","description":"The publicKeys of the apps in the app group."}}}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.appetize.io/rest-api/v1/list-apps.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
